#version 330 core

layout(triangles) in;
layout(triangle_strip, max_vertices=18) out;

uniform mat4 depthVPMatrix[6];

out vec3 worldPosition;

void main(void) {
	for(gl_Layer = 0; gl_Layer < 6; ++gl_Layer) {
		for(int vertex = 0; vertex < 3; ++vertex) {
			worldPosition = gl_in[vertex].gl_Position.xyz;
			gl_Position = depthVPMatrix[gl_Layer] * gl_in[vertex].gl_Position;
			EmitVertex();
		}
		EndPrimitive();
	}
}
