#version 330 core

in vec3 worldPosition;

uniform vec2 clip;
uniform vec3 lightPosition;

void main(){
	float distance = distance(worldPosition, lightPosition);
	gl_FragDepth = (distance - clip.x) / (clip.y - clip.x);
}
