
#version 330 core

layout(location=0) in vec3 position;

uniform mat4 modelMatrix;
uniform mat4 depthViewProjectionMatrix;

void main()

{
	mat4 depthMVP = depthViewProjectionMatrix * modelMatrix;
	gl_Position	= depthMVP * vec4(position, 1);
}
